roboptim::ResultWithWarnings Class Reference
Optimization problems

Represents the solution of an optimization problem when errors occurred during the solving process. More...

`#include <roboptim/core/result-with-warnings.hh>`

Inheritance diagram for roboptim::ResultWithWarnings:

## Public Member Functions

| ResultWithWarnings (const Function::size_type inputSize, const Function::size_type outputSize=1) throw ()
| Instantiate the class from an input/output size. More...
| ~ResultWithWarnings () throw ()
virtual std::ostream & | print (std::ostream &o) const throw ()
| Display the result on the specified output stream. More...
Public Member Functions inherited from roboptim::Result
| Result (const size_type inputSize, const size_type outputSize=1) throw ()
| Instantiate a result and fix input/output sizes. More...
virtual | ~Result () throw ()

## Public Attributes

std::vector< SolverWarning > | warnings
| Vector of warnings. More...
Public Attributes inherited from roboptim::Result
size_type | inputSize
| Input size (i.e. argument size). More...
size_type | outputSize
| Output size (i.e. result size). More...
vector_t | x
| Point found by the solver. More...
vector_t | value
| Function value at the solver found point. More...
vector_t | constraints
| Constraints final values. More...
vector_t | lambda
| Lagrange multipliers. More...

## Additional Inherited Members

Public Types inherited from roboptim::Result
typedef Function::size_type | size_type
| Import size type from Function class. More...
typedef Function::vector_t | vector_t
| Import vector type from Function class. More...

## Detailed Description

Represents the solution of an optimization problem when errors occurred during the solving process.

This class is returned by a solver if a result has been found, but some problems happened.

A vector or warnings is provided in this result, otherwise the class behaves like Result.

## Constructor & Destructor Documentation

roboptim::ResultWithWarnings::ResultWithWarnings | ( | const Function::size_type | inputSize,
|  | const Function::size_type | outputSize = `1`
| ) |  |
throw | ( |
| ) |  |

explicit

Instantiate the class from an input/output size.

Parameters

  inputSize | input size
  outputSize | output size

roboptim::ResultWithWarnings::~ResultWithWarnings | ( |  | ) |
throw | ( |
| ) |  |

## Member Function Documentation

std::ostream & roboptim::ResultWithWarnings::print | ( | std::ostream & | o | ) | const
throw | ( |
| ) |  |

virtual

Display the result on the specified output stream.

Parameters

  o | output stream used for display

Returns
  output stream

Reimplemented from roboptim::Result.

References roboptim::decindent(), roboptim::iendl(), roboptim::incindent(), and roboptim::Result::print().

## Member Data Documentation

std::vector<SolverWarning> roboptim::ResultWithWarnings::warnings

Vector of warnings.

Each element of this vector is a potential problem that occurred during the optimization.